.order {
  padding-top: 70px;
  padding-bottom: 70px;
}
.order h1 {
  margin-top: 80px;
}
.order-list {
  margin-top: 30px;
  display: grid;
  grid-template-columns: 70px fit-content(400px) fit-content(50px) fit-content(
      50px
    ) fit-content(50px) fit-content(50px) fit-content(50px);
  gap: 10px 3px;
  justify-items: stretch;
}

.order-list__feeld {
  background-color: #333;
  padding: 10px;
  height: 66px;
  visibility: visible;
  text-align: center;
  opacity: 1;
  transition: all 0.75s ease;
}

.order-list__feeld:nth-child(14n + 1),
.order-list__feeld:nth-child(14n + 2),
.order-list__feeld:nth-child(14n + 3),
.order-list__feeld:nth-child(14n + 4),
.order-list__feeld:nth-child(14n + 5),
.order-list__feeld:nth-child(14n + 6),
.order-list__feeld:nth-child(14n + 7) {
  background-color: #666;
}

.order-list__feeld.link {
  background-color: #000;
  border: 3px solid #333;
  height: 60px;
  overflow: hidden;
}

.order-list__feeld:nth-child(12n + 1).link {
  border: 3px solid #666;
}
.order-list__feeld.header_table {
  background: #fbcc95;
  color: #000;
  height: 40px;
}
.order-list__feeld.total {
  grid-column: span 7;
  text-align: right;
  height: 14px;
  background-color: #fbcc95;
  color: #000;
}
.link__img {
  max-height: 50px;
  max-width: 50px;
}
.link__href:hover {
  position: absolute;
  display: block;
  padding: 5px;
  width: 150px;
  height: 150px;
  background: #000;
  z-index: 999;
}
.link__href:hover .link__img {
  max-height: 150px;
  max-width: 150px;
  margin: auto;
}
.quantity {
  display: flex;
}
.button__del {
  width: 24px;
  height: 25px;
  font-size: 40px;
  color: #ddd;
  cursor: pointer;
  line-height: 25px;
  border-radius: 5px;
  margin: auto;
  text-align: center;
}
.button__del:hover {
  color: #ff0000;
  box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.8);
}
.button__change {
  outline: none;
  -webkit-appearance: none;
  background: rgba(0, 0, 0, 0.4);
  border: none;
  align-items: center;
  justify-content: center;
  width: 18px;
  height: 18px;
  cursor: pointer;
  margin: 0;
  position: relative;
  padding: 0;
  border-radius: 5px 0 0 5px;
}
.button__change.plus {
  border-radius: 0 5px 5px 0;
  margin-right: 5px;
}
.button__change:before,
.button__change:after {
  display: inline-block;
  position: absolute;
  content: "";
  width: 0.5rem;
  height: 2px;
  background-color: #ddd;
  transform: translate(-50%, -50%);
}
.button__change.plus:after {
  transform: translate(-50%, -50%) rotate(90deg);
}
.quantity__val {
  display: inline-block;
  width: 20px;
  height: 18px;
  color: #fff;
  background: rgba(0, 0, 0, 0.6);
  text-align: center;
  border: none;
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}
.quantity__val::-webkit-inner-spin-button,
.quantity__val::-webkit-outer-spin-button {
  -webkit-appearance: none;
}
.order-person {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 500px;
}

.order-list__feeld._element_hidden {
  background: red;
  border: none;
  height: 0;
  padding: 0;
  overflow-y: hidden;
  visibility: hidden;
  opacity: 0;
  grid-gap: 0;
}
.order-list__feeld.link._element_hidden {
  border: none;
}
._table_hidden {
  display: none;
}
.order__person-title {
  padding: 20px 0;
}
.date_oder {
  font-family: montserrat-regular;
  font-size: 14px;
  padding-left: 20px;
  text-decoration: none;
  color: #fbcc95;
}
.order__subtitle {
  font-family: montserrat-semibold;
  color: #ddd;
  font-size: 18px;
  opacity: 0;
  transition: all 0.75s ease-out;
}
.order__subtitle._active {
  transform: none;
  opacity: 1;
}

.remark__input {
  height: 18px;
  width: 100px;
  border: 1px solid #333;
  background: #999;
}
@media (max-width: 560px) {
  .order-list {
    font-size: 12px;
    grid-template-columns: 70px fit-content(400px) fit-content(50px) fit-content(
        50px
      ) fit-content(50px);
    gap: 10px 3px;
  }
  .order-list__feeld {
    background-color: #333;
    padding: 5px;
    height: 75px;
  }
  .article,
  .amount {
    font-size: calc(10px + (12 - 10) * ((100vw - 320px) / (560 - 320)));
  }
  .order-list__feeld.header_table {
    font-size: 10px;
  }
  .order-list__feeld.header_table:nth-child(5) {
    overflow: hidden;
    min-width: 40px;
  }
  .order-list__feeld.header_table:nth-child(4) {
    overflow: hidden;
    min-width: 45px;
  }
}
@media (max-width: 360px) {
  .order-list {
    grid-template-columns: 40px fit-content(400px) fit-content(50px) fit-content(
        50px
      ) fit-content(50px);
  }

  .link__img {
    max-height: 30px;
    max-width: 30px;
  }
  .order-list__feeld.link {
    height: 30px;
    border: none;
  }
  .order-list__feeld.header_table:nth-child(4) {
    overflow: hidden;
    min-width: 40px;
  }
}

.contact-form__btn:disabled {
    opacity: 0.5;
    cursor: not-allowed;
    background-color: #ccc;
}
